package com.gitlab.enums;

/**
* @Description ResultEnum 类（或接口）
* @Author huangshun
* @Date 2023/6/17
*/
public enum ResultEnum {

    // ============成功状态码200============
    SUCCESS(true, "200", "成功");


    /**
     * 响应是否成功
     */
    private Boolean success;
    /**
     * 响应状态码
     */
    private String code;
    /**
     * 响应信息
     */
    private String message;

    ResultEnum(boolean success, String code, String message) {
        this.success = success;
        this.code = code;
        this.message = message;
    }

    public Boolean getSuccess() {
        return success;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
