package com.gitlab.exception;


import com.gitlab.enums.BasicErrorCode;

/**
 * @Description SysException 系统异常定义
 * @Author huangshun
 * @Date 2023/6/18
 */
public class SysException extends BaseException {
    private static final long serialVersionUID = 4355163994767354840L;

    public SysException(String message) {
        super(message);
        this.setErrorCode(BasicErrorCode.SERVER_ERROR);
    }

    public SysException(ErrorCode errorCode, String message) {
        super(message);
        this.setErrorCode(errorCode);
    }

    public SysException(String message, Throwable e) {
        super(message,e);
        this.setErrorCode(BasicErrorCode.SERVER_ERROR);
    }

}
