package com.gitlab.model;

import lombok.Data;
import lombok.experimental.Accessors;

/**
* @Description AccessTokenDTO 类（或接口）
* @Author huangshun
* @Date 2024/4/22
*/
@Data
@Accessors(chain = true)
public class AccessTokenDTO {

    /**
     * access_token
     */
    private String access_token;
    /**
     * refresh_token
     */
    private String refresh_token;
    /**
     * scope
     */
    private String scope;
    /**
     * id_token
     */
    private String id_token;
    /**
     * token_type
     */
    private String token_type;
    /**
     * expires_in
     */
    private Long expires_in;
}
