package com.gitlab.model;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Description TokenRequestDTO 类（或接口）
 * @Author huangshun
 * @Date 2024/4/22
 */
@Data
@Accessors(chain = true)
public class TokenRequestDTO {

    /**
     * grant_type
     */
    private String grant_type;
    /**
     * client_id
     */
    private String client_id;
    /**
     * client_secret
     */
    private String client_secret;
    /**
     * redirect_uri
     */
    private String redirect_uri;
    /**
     * code
     */
    private String code;

}
