package com.gitlab.model;

import lombok.Data;
import lombok.experimental.Accessors;

/**
* @Description AuthorizeRequestDTO 类（或接口）
* @Author huangshun
* @Date 2024/4/22
*/
@Data
@Accessors(chain = true)
public class AuthorizeRequestDTO {

    /**
     * 类型
     */
    private String response_type;
    /**
     * client_id
     */
    private String client_id;
    /**
     * redirect_uri
     */
    private String redirect_uri;
    /**
     * scope
     */
    private String scope;
    /**
     * state
     */
    private String state;

}
