package com.gitlab.model;

import lombok.Data;
import lombok.experimental.Accessors;

/**
* @Description UserinfoDTO 类（或接口）
* @Author huangshun
* @Date 2024/4/22
*/
//@Data
@Accessors(chain = true)
public class UserinfoDTO {

    /**
     * 用户ID
     */
    private String userId;
    /**
     * 所属组织
     */
    private String orgName;
    /**
     * 真实姓名
     */
    private String realname;
    /**
     * 姓名拼音
     */
    private String enName;
    /**
     * 身份证号
     */
    private String cardNum;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 用户名
     */
    private String username;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

}
